1. Core Capabilities
PixVerse Platform Docs
  • Get Started
    • What Is PixVerse AI?
    • Model Capability Map
    • Billing and Usage
    • Quick Start
    • Contact Us
    • Privacy and Data Protection
  • API
    • Preparation
      • Start Here
      • Concurrency Rules
      • Query Task Status
      • Error Codes
      • FAQ
      • Webhook Callbacks
      • Upload Image
      • Upload Media (Video and Audio)
      • Verify Uploaded Audio
      • Get Effect Template List
      • Get TTS Speaker List
      • Get Restyle Effect List
      • Query Task Status
      • Get Account Balance
      • Usage Deduction Query
      • Create Custom Voice
      • Delete Custom Voice
    • Core Capabilities
      • Text-to-Video
        POST
      • Image-to-Video and Video Templates
        POST
      • First and Last Frame Video
        POST
      • Reference-to-Video (Fusion)
        POST
      • Multi-Transition Video
        POST
      • Video Extend
        POST
      • Image Template Generation
        POST
      • Get Image Generation Result
        GET
    • Solutions
      • Video Upscale
      • Video Restyle
      • Lipsync
      • Video Edit (Modify)
      • Image Avatar
      • Select Video Mask
      • Sound Effect
      • Subject Replacement (Swap)
      • Motion Control (Mimic)
      • One-click Real Estate Video
      • One-click VibeMV
  • Pricing
    • PixVerse API Pricing
  • Changelog
    • Changelog
  1. Core Capabilities

Image Template Generation

POST
/openapi/v2/image/template/generate
Create an image-generation task using a template. Upload the source images first, then supply their IDs in the order required by the template. Query the task with Get Image Generation Result. Request and response examples use illustrative IDs and Credit values.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Check ErrCode for the business result. The example is illustrative.
Bodyapplication/json

Request Request Example
Shell
curl --location 'https://app-api.pixverse.ai/openapi/v2/image/template/generate' \
--header 'API-KEY: your-api-key' \
--header 'Ai-trace-id: 550e8400-e29b-41d4-a716-446655440000' \
--header 'Content-Type: application/json' \
--data '{
    "img_ids": [
        "123456789"
    ],
    "template_id": 377378608924544
}'
Response Response Example
{
    "ErrCode": 0,
    "ErrMsg": "Success",
    "Resp": {
        "image_id": 123456789,
        "credits": 30
    }
}
Previous
Video Extend
Next
Get Image Generation Result